# Package-level declarations

## Types

StartPlugin
Link copied to clipboard
@Serializable(with = StartPluginSerializer::class )
interface StartPlugin

Default plugin for start of your app

StartPluginSerializer
Link copied to clipboard
object StartPluginSerializer : KSerializer< StartPlugin >

## Functions

createStartupPluginAndRegister
Link copied to clipboard
inline fun < T : StartPlugin> createStartupPluginAndRegister (block: ( String ) -> T ): T
inline fun < T : StartPlugin> createStartupPluginAndRegister (name: String = uuid4().toString(), block: ( String ) -> T ): T
inline fun < T : StartPlugin> createStartupPluginAndRegister (kClass: KClass < T >, name: String = uuid4().toString(), block: ( String ) -> T ): T

Creates T using block, register it in StartPluginSerializer using its StartPluginSerializer.registerPlugin and returns created by block plugin